#pragma once
#include "../msys.h"

struct STGA
{
	STGA()
	{
		data = (unsigned char*)0;
		width = 0;
		height = 0;
		byteCount = 0;
	}

	~STGA() {
		delete[] data; 
		data = 0;
	}

	void destroy() { 
		delete[] data; data = 0;
	}

	int width;
	int height;
	unsigned char byteCount;
	unsigned char* data;
};

GLuint TextureFromTgaResource(int resourceId);